Get Monthly Distribution Details by Type

Add MCP server to your AI tool

Allow AI tools and LLMs to interact with the API documentation portal through MCP.

MCP server URL

https://developers.smartpm.com/mcp

Standard setup for AI tools providing an mcp.json file

mcp.json
"SmartPM Public API MCP server": {
  "url": "https://developers.smartpm.com/mcp"
}
Close
GET /public/v1/projects/{projectId}/scenarios/{scenarioId}/velocity-detail/{column}

Headers

  • X-COMPANY-ID string Required

    The company's unique ID

Path parameters

  • projectId integer(int64) Required
  • scenarioId integer(int64) Required
  • column string Required

    Values are BaselineStarts, CurrentStarts, BaselineFinishes, or CurrentFinishes.

Query parameters

  • periodMonthDate string Required
  • filterId array[integer(int64)]
  • activityCodeFilter array[integer(int64)]

Responses

  • 500 */*

    Internal Server Error

  • 200 */*

    OK

    Hide response attribute Show response attribute object
    • velocityList array[object]
      Hide velocityList attributes Show velocityList attributes object
      • id integer(int64)
      • customId string
      • name string
      • currentStartDateActual boolean
      • currentFinishDateActual boolean
      • baselineStartDateActual boolean
      • baselineFinishDateActual boolean
      • baselineStartDate string(date-time)
      • baselineFinishDate string(date-time)
      • baselineDuration number(double)
      • activityCodes array[object]
        Hide activityCodes attributes Show activityCodes attributes object
        • activityCodeTypeId integer(int64)
        • activityCodeId integer(int64)
      • wbsId integer(int32)
      • currentStartDate string(date-time)
      • currentFinishDate string(date-time)
      • currentDuration number(double)
      • varianceStartDate integer(int64)
      • varianceFinishDate integer(int64)
      • varianceDuration number(double)
      • totalActivityChanges integer(int64)
GET /public/v1/projects/{projectId}/scenarios/{scenarioId}/velocity-detail/{column}
curl \
 --request GET 'https://live.smartpmtech.com/public/v1/projects/{projectId}/scenarios/{scenarioId}/velocity-detail/{column}?periodMonthDate=string' \
 --header "X-API-KEY: $API_KEY" \
 --header "X-COMPANY-ID: string"
Response examples (500)
{}
Response examples (200)
{
  "velocityList": [
    {
      "id": 42,
      "customId": "string",
      "name": "string",
      "currentStartDateActual": true,
      "currentFinishDateActual": true,
      "baselineStartDateActual": true,
      "baselineFinishDateActual": true,
      "baselineStartDate": "2026-05-04T09:42:00Z",
      "baselineFinishDate": "2026-05-04T09:42:00Z",
      "baselineDuration": 42.0,
      "activityCodes": [
        {
          "activityCodeTypeId": 42,
          "activityCodeId": 42
        }
      ],
      "wbsId": 42,
      "currentStartDate": "2026-05-04T09:42:00Z",
      "currentFinishDate": "2026-05-04T09:42:00Z",
      "currentDuration": 42.0,
      "varianceStartDate": 42,
      "varianceFinishDate": 42,
      "varianceDuration": 42.0,
      "totalActivityChanges": 42
    }
  ]
}